/* ***** BEGIN LICENSE BLOCK *****
 * Source last modified: $Id: embddef.h,v 1.2.14.3 2004/07/09 01:48:48 hubbe Exp $
 * 
 * Portions Copyright (c) 1995-2004 RealNetworks, Inc. All Rights Reserved.
 * 
 * The contents of this file, and the files included with this file,
 * are subject to the current version of the RealNetworks Public
 * Source License (the "RPSL") available at
 * http://www.helixcommunity.org/content/rpsl unless you have licensed
 * the file under the current version of the RealNetworks Community
 * Source License (the "RCSL") available at
 * http://www.helixcommunity.org/content/rcsl, in which case the RCSL
 * will apply. You may also obtain the license terms directly from
 * RealNetworks.  You may not use this file except in compliance with
 * the RPSL or, if you have a valid RCSL with RealNetworks applicable
 * to this file, the RCSL.  Please see the applicable RPSL or RCSL for
 * the rights, obligations and limitations governing use of the
 * contents of the file.
 * 
 * Alternatively, the contents of this file may be used under the
 * terms of the GNU General Public License Version 2 or later (the
 * "GPL") in which case the provisions of the GPL are applicable
 * instead of those above. If you wish to allow use of your version of
 * this file only under the terms of the GPL, and not to allow others
 * to use your version of this file under the terms of either the RPSL
 * or RCSL, indicate your decision by deleting the provisions above
 * and replace them with the notice and other provisions required by
 * the GPL. If you do not delete the provisions above, a recipient may
 * use your version of this file under the terms of any one of the
 * RPSL, the RCSL or the GPL.
 * 
 * This file is part of the Helix DNA Technology. RealNetworks is the
 * developer of the Original Code and owns the copyrights in the
 * portions it created.
 * 
 * This file, and the files included with this file, is distributed
 * and made available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS
 * ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
 * ENJOYMENT OR NON-INFRINGEMENT.
 * 
 * Technology Compatibility Kit Test Suite(s) Location:
 *    http://www.helixcommunity.org/content/tck
 * 
 * Contributor(s):
 * 
 * ***** END LICENSE BLOCK ***** */

#ifndef __EMBDDEF_H
#define __EMBDDEF_H

// string props
#define EMBD_PROP_SOURCE	"src"
#define EMBD_PROP_CONSOLE	"console"
#define EMBD_PROP_CONTROLS	"controls"
#define EMBD_PROP_BGCOLOR	"backgroundcolor"
#define EMBD_PROP_REGION	"region"
#define EMBD_PROP_AUTHOR	"author"
#define EMBD_PROP_TITLE		"title"
#define EMBD_PROP_COPYRIGHT	"copyright"
#define EMBD_PROP_ENTRYTITLE	"entrytitle"
#define EMBD_PROP_ENTRYAUTHOR	"entryauthor"
#define EMBD_PROP_ENTRYCOPY	"entrycopyright"
#define EMBD_PROP_ENTRYABSTRACT	"entryabstract"
#define EMBD_PROP_LANGSTR	"langstr"
#define EMBD_PROP_SOURCETRANS	"srctrans"
#define EMBD_PROP_STATUS	"laststatus"
#define EMBD_PROP_ERRORURL	"errorurl"
#define EMBD_PROP_ERRORUSERSTR	"erroruserstr"
#define EMBD_PROP_ERRORRMASTR	"errorrmastr"
#define EMBD_PROP_VERSION	"version"

// bool props
#define EMBD_PROP_AUTOSTART	"autostart"
#define EMBD_PROP_AUTOGOTOURL	"autogotourl"
#define EMBD_PROP_PREFETCH	"prefetch"
#define EMBD_PROP_SHUFFLE	"shuffle"
#define EMBD_PROP_CENTER	"center"
#define EMBD_PROP_ASPECT	"maintainaspect"
#define EMBD_PROP_CONSOLEEVENTS	"consoleevents"
#define EMBD_PROP_LOOP		"loop"
#define EMBD_PROP_NOLOGO	"nologo"
#define EMBD_PROP_IMAGESTATUS	"imagestatus"
#define	EMBD_PROP_CONTEXTMENU	"contextmenu"
#define EMBD_PROP_ENABLEMSGBOX	"enablemsgbox"
#define EMBD_PROP_ENABLEORIGSZ	"enableorigsz"
#define EMBD_PROP_ENABLEDBLSZ	"enabledblsz"
#define EMBD_PROP_ENABLEFULLSCR	"enablefullscr"
#define EMBD_PROP_DBLSZ		"doublesize"
#define EMBD_PROP_FULLSCR	"fullscreen"
#define EMBD_PROP_ORIGSZ	"originalsize"
#define EMBD_PROP_CANSEEK	"canseek"
#define EMBD_PROP_PLUS		"isplus"
#define EMBD_PROP_LIVE		"live"
#define EMBD_PROP_CANPLAYPAUSE	"canplaypause"
#define EMBD_PROP_CANPLAY	"canplay"
#define EMBD_PROP_CANPAUSE	"canpause"
#define EMBD_PROP_CANSTOP	"canstop"
#define EMBD_PROP_HASNEXTENTRY	"hasnext"
#define EMBD_PROP_HASPREVENTRY	"hasprev"
#define EMBD_PROP_MUTE		"mute"
#define EMBD_PROP_KEYEVENTS	"keyevents"
#define EMBD_PROP_MOUSEEVENTS	"mouseevents"
#define EMBD_PROP_ERROREVENTS	"errorevents"
#define EMBD_PROP_STEREO	"stereo"
#define EMBD_PROP_ABOUTDLG	"aboutdlg"
#define EMBD_PROP_PREFSDLG	"prefsdlg"
#define EMBD_PROP_STATSDLG	"statsdlg"

#define EMBD_PROP_DOPLAY	"doplay"
#define EMBD_PROP_DOPLAYPAUSE	"doplaypause"
#define EMBD_PROP_DOPAUSE	"dopause"
#define EMBD_PROP_DOSTOP	"dostop"
#define EMBD_PROP_DONEXT	"donext"
#define EMBD_PROP_DOPREV	"doprev"

// integer props
#define EMBD_PROP_NUMLOOPS	"numloops"
#define EMBD_PROP_VOLUME	"volume"
#define EMBD_PROP_PKTSTOTAL	"pktstotal"
#define EMBD_PROP_PKTSRECV	"pktsrecv"
#define EMBD_PROP_PKTSORDER	"pktsorder"
#define EMBD_PROP_PKTSMISSING	"pktsmissing"
#define EMBD_PROP_PKTSLATE	"pktslate"
#define EMBD_PROP_PKTSEARLY	"pktsearly"
#define EMBD_PROP_BWAVG		"bwavg"
#define EMBD_PROP_BWCUR		"bwcur"
#define EMBD_PROP_BWCONN	"bwconn"
#define EMBD_PROP_HEIGHT	"height"
#define EMBD_PROP_WIDTH		"width"
#define EMBD_PROP_NUMENTRIES	"numentries"
#define EMBD_PROP_CURENTRY	"curentry"
#define EMBD_PROP_BUFELAPSED	"bufelapsed"
#define EMBD_PROP_BUFREMAINING	"bufremaining"
#define EMBD_PROP_LANGID	"langid"
#define EMBD_PROP_COUNTRYID	"countryid"
#define EMBD_PROP_NUMSOURCES	"numsources"
#define EMBD_PROP_ERRORRMACODE	"errorrmacode"
#define	EMBD_PROP_ERRORUSERCODE	"errorusercode"
#define EMBD_PROP_ERRORSEVERITY "errorseverity"
#define EMBD_PROP_POSITION	"position"
#define EMBD_PROP_LENGTH	"length"

#define EMBD_PROP_PLAYSTATE	"playstate"

#endif
